SDL-0.6.7.0: Binding to libSDL

Copyright | (c) David Himmelstrup 2005
License | BSD-like
Maintainer | lemmih@gmail.com
Stability | provisional
Portability | portable
Safe Haskell | Safe-Inferred
Language | Haskell98

Graphics.UI.SDL.Color

Description

# Documentation

data Color Source #

Constructors

Color |

Fields

- colorRed, colorGreen, colorBlue :: Word8

#### Instances

Instances details

Storable Color Source # |

Instance details

Defined in Graphics.UI.SDL.Color

Methods

sizeOf :: Color -> Int Source #

alignment :: Color -> Int Source #

peekElemOff :: Ptr Color -> Int -> IO Color Source #

pokeElemOff :: Ptr Color -> Int -> Color -> IO () Source #

peekByteOff :: Ptr b -> Int -> IO Color Source #

pokeByteOff :: Ptr b -> Int -> Color -> IO () Source #

peek :: Ptr Color -> IO Color Source #

poke :: Ptr Color -> Color -> IO () Source #

newtype Pixel Source #

Constructors

Pixel Word32 |

#### Instances

Instances details

Storable Pixel Source # |

Instance details

Defined in Graphics.UI.SDL.Color

Methods

sizeOf :: Pixel -> Int Source #

alignment :: Pixel -> Int Source #

peekElemOff :: Ptr Pixel -> Int -> IO Pixel Source #

pokeElemOff :: Ptr Pixel -> Int -> Pixel -> IO () Source #

peekByteOff :: Ptr b -> Int -> IO Pixel Source #

pokeByteOff :: Ptr b -> Int -> Pixel -> IO () Source #

peek :: Ptr Pixel -> IO Pixel Source #

poke :: Ptr Pixel -> Pixel -> IO () Source #

Show Pixel Source # |
Instance details Defined in Graphics.UI.SDL.Color Methods showsPrec :: Int -> Pixel -> ShowS Source # show :: Pixel -> String Source # showList :: [Pixel] -> ShowS Source #
Eq Pixel Source # |
Instance details Defined in Graphics.UI.SDL.Color Methods (==) :: Pixel -> Pixel -> Bool Source # (/=) :: Pixel -> Pixel -> Bool Source #
Ord Pixel Source # |
Instance details Defined in Graphics.UI.SDL.Color Methods compare :: Pixel -> Pixel -> Ordering Source # (<) :: Pixel -> Pixel -> Bool Source # (<=) :: Pixel -> Pixel -> Bool Source # (>) :: Pixel -> Pixel -> Bool Source # (>=) :: Pixel -> Pixel -> Bool Source # max :: Pixel -> Pixel -> Pixel Source # min :: Pixel -> Pixel -> Pixel Source #